#include<iostream>

using namespace std;

int main()
{
	//
	//	UNOS
	//
	char c1, c2;
	long a1, a2, max;
	cin >> c1 >> c2;
	cin >> a1 >> a2;
	
	//
	//	OGRANICENJA
	//
	if (c1 == c2)
		cout << "nemoguce";
	if(c1 < 97 || c1 > 122 || c2 < 97 || c2 > 122)
		cout << "nemoguce";
	if(a1 < 1 || a1 > 50000 || a2 < 1 || a2 > 50000)
		cout << "nemoguce";
	
	//
	//	ZADATAK
	//

	if(a1>=a2)
		max = a1;
	else
		max = a2;
	
	if(a1 == a2 || (a1 + 1) == a2 || a1 == (a2 + 2))
		for(long i=max; i > 0; i--)
		{
			cout << c1 << c2;
		}
	else
		cout << "nemoguce";

	return 0;
}